2009/12/22

cabal-install ghc-6.12.1

GHC 6.12.1 が出たということで
IO と Unicode が仲良くなったとか噂を聴いて
インストールしてみようかなと思いました

でも、コンパイルする元気はないのでとりあえずバイナリーとってきます
http://haskell.org/ghc/dist/6.12.1/ghc-6.12.1-i386-unknown-linux-n.tar.bz2
を落としてインストールしてみました

で、cabal とか使いたいなと思ったんですが
Cabal は入ってるらしいんだけど cabal は入ってない!!
色々調べると cabal-install の 0.8 を入れるべきだそうで

あ、えっと、cabal ってのは python でいうと easy_install みたいな
Ruby でいうと gem みたいなやつです

cabal-install を入れるには network, HTTP, zlib を別途入れないとで
network が parsec を、HTTP が parsec と mtl を
更に parsec が mtl を要求しているので
mtl -> parsec -> network -> HTTP -> zlib
の順でインストールしました

で、「よーし HsOpenSSL 入れちゃうぞー」と思ったら
$ cabal install HsOpenSSL
Resolving dependencies...
cabal: cannot configure HsOpenSSL-0.6.5. It requires integer -any
There is no available version of integer that satisfies -any
あらら

0 件のコメント:

コメントを投稿

 
[PR] SSL